<?php

namespace App\Providers;

use App\Models\User;
use App\Models\Word;
use App\Observers\UserOserver;
use App\Observers\WordOserver;
use Illuminate\Support\ServiceProvider;

class AppServiceProvider extends ServiceProvider
{
    /**
     * Register any application services.
     */
    public function register(): void
    {
        //
    }

    /**
     * Bootstrap any application services.
     */
    public function boot(): void
    {
        User::observe(UserOserver::class);
        Word::observe(WordOserver::class);
    }
}
